<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@id/mainFragment">
    <fragment
        android:id="@+id/mainFragment"
        android:name="com.unis.sxzcl.ui.home.MainFragment"
        android:label="首页">
        <action
            android:id="@+id/action_mainFragment_to_companyStatsFragment"
            app:destination="@id/companyStatsFragment" />
        <action
            android:id="@+id/action_mainFragment_to_noticeListFragment"
            app:destination="@id/noticeListFragment" />
        <action
            android:id="@+id/action_mainFragment_to_todoHomeFragment"
            app:destination="@id/todoHomeFragment" />
        <action
            android:id="@+id/action_mainFragment_to_userFragment"
            app:destination="@id/userFragment" />
        <action
            android:id="@+id/action_mainFragment_to_companyListFragment"
            app:destination="@id/companyListFragment" />
        <action
            android:id="@+id/action_mainFragment_to_announceListFragment"
            app:destination="@id/announceListFragment" />
        <action
            android:id="@+id/action_mainFragment_to_workModuleFragment"
            app:destination="@id/workModuleFragment" />
    </fragment>

    <fragment
        android:id="@+id/userFragment"
        android:name="com.unis.sxzcl.ui.user.UserFragment"
        android:label="个人信息">
        <action
            android:id="@+id/action_userFragment_to_textSizeFragment"
            app:destination="@id/textSizeFragment" />
    </fragment>
    <fragment
        android:id="@+id/textSizeFragment"
        android:name="com.unis.sxzcl.ui.user.TextSizeFragment"
        android:label="字体大小设置" />
    <fragment
        android:id="@+id/companyListFragment"
        android:name="com.unis.sxzcl.ui.company.CompanyListFragment"
        android:label="企业列表"/>
    <fragment
        android:id="@+id/announceListFragment"
        android:name="com.unis.sxzcl.ui.announce.AnnounceListFragment"
        android:label="公告列表">
        <action
            android:id="@+id/action_announceListFragment_to_announceDetailFragment"
            app:destination="@id/announceDetailFragment" />
    </fragment>
    <fragment
        android:id="@+id/announceDetailFragment"
        android:name="com.unis.sxzcl.ui.announce.AnnounceDetailFragment"
        android:label="公告详情" />
    <fragment
        android:id="@+id/noticeListFragment"
        android:name="com.unis.sxzcl.ui.notice.NoticeListFragment"
        android:label="通知列表" />
    <fragment
        android:id="@+id/todoHomeFragment"
        android:name="com.unis.sxzcl.ui.todo.TodoHomeFragment"
        android:label="待办事项" >
        <action
            android:id="@+id/action_todoHomeFragment_to_todoDetailFragment"
            app:destination="@id/todoDetailFragment" />
    </fragment>
    <fragment
        android:id="@+id/houseListFragment"
        android:name="com.unis.sxzcl.ui.house.HouseListFragment"
        android:label="仓房列表">
        <action
            android:id="@+id/action_houseListFragment_to_houseDetailFragment"
            app:destination="@id/houseDetailFragment" />
    </fragment>
    <fragment
        android:id="@+id/personListFragment"
        android:name="com.unis.sxzcl.ui.person.PersonListFragment"
        android:label="人员列表">
        <action
            android:id="@+id/action_personListFragment_to_personHomeFragment"
            app:destination="@id/personHomeFragment" />
    </fragment>
    <fragment
        android:id="@+id/personHomeFragment"
        android:name="com.unis.sxzcl.ui.person.PersonHomeFragment"
        android:label="人员主页">
        <action
            android:id="@+id/action_personHomeFragment_to_personDetailFragment"
            app:destination="@id/personDetailFragment" />
    </fragment>
    <fragment
        android:id="@+id/houseDetailFragment"
        android:name="com.unis.sxzcl.ui.house.HouseDetailFragment"
        android:label="仓房详情"/>
    <fragment
        android:id="@+id/personDetailFragment"
        android:name="com.unis.sxzcl.ui.basic.PersonDetailFragment"
        android:label="人员详情" />
    <fragment
        android:id="@+id/workModuleFragment"
        android:name="com.unis.sxzcl.ui.work_module.WorkModuleFragment"
        android:label="工作台">
        <action
            android:id="@+id/action_workModuleFragment_to_exampleFragment"
            app:destination="@id/exampleFragment" />
        <action
            android:id="@+id/action_workModuleFragment_to_templateTabFragment"
            app:destination="@id/templateTabFragment" />
        <action
            android:id="@+id/action_workModuleFragment_to_basicFragment"
            app:destination="@id/basicFragment" />
        <action
            android:id="@+id/action_workModuleFragment_to_houseHomeFragment"
            app:destination="@id/houseHomeFragment" />
        <action
            android:id="@+id/action_workModuleFragment_to_grainCheckFragment"
            app:destination="@id/grainCheckHomeFragment" />
        <action
            android:id="@+id/action_workModuleFragment_to_aerationListFragment"
            app:destination="@id/aerationListFragment" />
    </fragment>
    <fragment
        android:id="@+id/exampleFragment"
        android:name="com.unis.sxzcl.ui.example.ExampleFragment"
        android:label="示例页" />
    <fragment
        android:id="@+id/templateTabFragment"
        android:name="com.unis.sxzcl.ui.template.TemplateTabFragment"
        android:label="模版标签页" />
    <fragment
        android:id="@+id/companyStatsFragment"
        android:name="com.unis.sxzcl.ui.company.CompanyStatsFragment"
        android:label="企业信息统计" />
    <fragment
        android:id="@+id/basicFragment"
        android:name="com.unis.sxzcl.ui.basic.BasicFragment"
        android:label="基本信息" />
    <fragment
        android:id="@+id/houseHomeFragment"
        android:name="com.unis.sxzcl.ui.house.HouseHomeFragment"
        android:label="仓房信息" />
    <fragment
        android:id="@+id/grainCheckHomeFragment"
        android:name="com.unis.sxzcl.ui.grain_check.GrainCheckHomeFragment"
        android:label="粮情检查" >
        <action
            android:id="@+id/action_grainCheckHomeFragment_to_grainCheckDetailFragment"
            app:destination="@id/grainCheckDetailFragment" />
    </fragment>
    <fragment
        android:id="@+id/grainCheckDetailFragment"
        android:name="com.unis.sxzcl.ui.grain_check.GrainCheckDetailFragment"
        android:label="粮情检查详情" />
    <fragment
        android:id="@+id/aerationListFragment"
        android:name="com.unis.sxzcl.ui.aeration.AerationListFragment"
        android:label="机械通风列表" >
        <action
            android:id="@+id/action_aerationListFragment_to_aerationDetailFragment"
            app:destination="@id/aerationDetailFragment" />
    </fragment>
    <fragment
        android:id="@+id/aerationDetailFragment"
        android:name="com.unis.sxzcl.ui.aeration.AerationDetailFragment"
        android:label="机械通风详情" >
        <action
            android:id="@+id/action_aerationDetailFragment_to_todoHomeFragment"
            app:destination="@id/todoHomeFragment" />
    </fragment>
    <fragment
        android:id="@+id/todoDetailFragment"
        android:name="com.unis.sxzcl.ui.todo.TodoDetailFragment"
        android:label="TodoDetailFragment" />


</navigation>